@import url('https://fonts.googleapis.com/css2?family=Audiowide&display=swap');

:root{
    --color-primary: #dbe515;
    --bg-primary-text: #f2f2f2;
    --color-to-gradiant: #ff7a18;
}

*{
    margin: 0;
    padding: 0;
}

.grid{
    display: grid;
    grid-template-columns: 1fr;
    padding: 8vh 8vw;
    gap: 4vw;
}

@media(min-width: 770px){
    .grid-1-1-1{
        grid-template-columns: 1fr 1fr 1fr;
        gap: 3vw;
    }
    .grid-2-1{
        grid-template-columns: 2.5fr 1fr;
        gap: 3vw;
    }
}

p{
    font-size: clamp(0.95em, 3vh, 1.4em);
    font-family: "Roboto", sans-serif;
    line-height: 1.6;
}

h1{
    font-size: clamp(1.5em, 4.5vh, 2.8em);
    font-family: "Audiowide", sans-serif;
    font-weight: 300; 
}

h2{
    font-size: clamp(1.8em, 6vh, 3.8em);
    font-family: "Audiowide", sans-serif;
    font-weight: 300; 
}

.v-padding{
    padding-top: 6vh;
    padding-bottom: 6vh;
}

.text-center{
    text-align: center;
}

nav{
    background-color: var(--color-primary);
    position: sticky;
    z-index: 1000;
    top: 0;
    box-shadow: 0 4px 10px rgba(0,0,0,0.3);
}

.menu-container, .hamburger-group{
    display: flex;
    min-height: 9vh;
    justify-content: space-between;
    align-items: center;
    font-size: 1.8em;
}

.hamburger-group{
    display: none;
    justify-content: end;
    padding-right: 4vw;
}

.menu-item{
    list-style: none;
}

.menu-link{
    color: #eaeaea;
    text-decoration: none;
    padding: 6px 18px;
    border-radius: 8px;
    transition: all 350ms ease;
}

.menu-link:hover{
    background-color: #eaeaea;
    color: var(--color-primary);
}

.label-toggle{
    color: #eaeaea;
}

nav:has(#menu-toggle:checked) .menu-container{
    display: flex;
}

#menu-toggle{
    display: none;
}

@media (max-width: 768px){
    .menu-container{
        display: none;
        flex-direction: column;
        gap: 25px;
        padding: 30px 0;
    }

    .hamburger-group{
        display: flex;
    }
}

.bg-primary{
    background-color: var(--color-primary);
    color: var(--bg-primary-text); 
}

.bg-dark{
    background-color: #111;
    color: #f5f5f5;
    font-size: 0.95rem;
}

.divider path{
    fill: var(--color-primary);
}

.shadow {
  filter: drop-shadow(0 8px 14px rgba(0,0,0,0.45));
}

.card{
    display: flex;
    flex-direction: column;  
    gap: 2.5vh;
    border-radius: 14px;
    box-shadow: rgba(0, 0, 0, 0.18) 0px 10px 28px;
    transition: all 0.3s ease;
}

.card img{
    border-radius: 14px 14px 0 0;
    width: 100%;
    height: auto;
}

.card h3{
    font-size: clamp(1.2em, 3.5vh, 2.1em);
    padding: 0 2.5vh;
}

.card p{
    font-size: 0.95em;
    padding: 2.5vh;
}

.tag{
    background-color: var(--color-to-gradiant);
    color: #fff;
    padding: 6px 18px;
    border-radius: 18px;
}

.card:hover{
    background-color: var(--color-primary);
    color: #fff;
    filter: brightness(1.1);
}

.skill{
    font-size: 1.4em;
    font-family: "Audiowide", sans-serif;
}

.skill progress{
    border-radius: 1.5vh;
    border: 0;
    width: 100%;
    height: 1.8vh;
}

form{
    display: flex;
    flex-direction: column;
    gap: 1.5vh;
}

label{
    font-size: 0.95em;
    font-family: "Roboto", sans-serif;
}

input, textarea{
    border-radius: 6px;
    border: 1px solid #4a6fd1;
    padding: 6px 12px;
}

input{
    height: 3.5vh;
}

textarea{
    height: 22vh;
}

button{
    background-color: #ff7a18;
    color: #fff;
    padding: 12px;
    font-size: 1em;
    max-width: 220px;
    border-radius: 12px;
    border: none;
}
